Bug 974421 - Installation of kernel 3.9.5-201 corrupts boot menu
Installation of kernel 3.9.5-201 corrupts boot menu
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
18
Unspecified Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 03:41 EDT by Steve
Modified: 2014-02-05 16:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:49:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve 2013-06-14 03:41:36 EDT
Description of problem:
boot menu does not list installed kernels

Version-Release number of selected component (if applicable):
Fedora 18 - 3.9.5-201.fc18.i686.PAE 
grub2-tools.00-15.fc18.i686  
grub-efi-.97-93.fc17.i686       
grub2-2.00-15.fc18.i686                   
grubby-8.22-1.fc18.i686

How reproducible:
every-time on i686 & x64

Steps to Reproduce:
1. install kernel-3.9.5-201
2. reboot

Actual results:
no menu entries for installed kernel selection

Expected results:
Grub2 menu should display list of available kernels 
kernel-PAE-3.8.11-200.fc18.i686
kernel-PAE-3.8.8-203.fc18.i686
kernel-PAE-3.8.9-200.fc18.i686
kernel-PAE-3.9.2-200.fc18.i686
kernel-PAE-3.9.4-200.fc18.i686
kernel-PAE-3.9.5-201.fc18.i686

Additional info:
worked on previous reboot
Comment 1 Mads Kiilerich 2013-08-19 18:00:17 EDT
Nothing can be done without more information - such as the actual grub.cfg you had after installing the kernel.
Comment 2 Steve 2013-08-19 21:39:28 EDT
Here is the cfg file as requested, it should be standard version generated by grub.
This system has moved on considerably since filing the report as 
# grep install /etc/yum.conf
installonly_limit=0
#uname -r
3.10.5-201.fc19.i686.PAE
#rpm -qa | grep ^kernel-PAE-3 | sort
kernel-PAE-3.10.3-300.fc19.i686
kernel-PAE-3.10.4-300.fc19.i686
kernel-PAE-3.10.5-201.fc19.i686
kernel-PAE-3.10.6-200.fc19.i686
kernel-PAE-3.10.7-200.fc19.i686
kernel-PAE-3.9.4-200.fc18.i686
kernel-PAE-3.9.5-201.fc18.i686
kernel-PAE-3.9.6-200.fc18.i686
kernel-PAE-3.9.9-201.fc18.i686

a list of available kernels does now appear on reboot, but not all
perhaps this should be marked as FEATURE request rather than BUG
Comment 3 Steve 2013-08-19 21:44:09 EDT
submit file form failed (maybe another bug report is needed)
# cat /boot/grub2/grub.cfg
#
# DO NOT EDIT THIS FILE
#
# It is automatically generated by grub2-mkconfig using templates
# from /etc/grub.d and settings from /etc/default/grub
#

### BEGIN /etc/grub.d/00_header ###
if [ -s $prefix/grubenv ]; then
  load_env
fi
if [ "${next_entry}" ] ; then
   set default="0"
   set next_entry=
   save_env next_entry
   set boot_once=true
else
   set default="0"
fi

if [ x"${feature_menuentry_id}" = xy ]; then
  menuentry_id_option="--id"
else
  menuentry_id_option=""
fi

export menuentry_id_option

if [ "${prev_saved_entry}" ]; then
  set saved_entry="${prev_saved_entry}"
  save_env saved_entry
  set prev_saved_entry=
  save_env prev_saved_entry
  set boot_once=true
fi

function savedefault {
  if [ -z "${boot_once}" ]; then
    saved_entry="${chosen}"
    save_env saved_entry
  fi
}

function load_video {
  if [ x$feature_all_video_module = xy ]; then
    insmod all_video
  else
    insmod efi_gop
    insmod efi_uga
    insmod ieee1275_fb
    insmod vbe
    insmod vga
    insmod video_bochs
    insmod video_cirrus
  fi
}

if [ x$feature_default_font_path = xy ] ; then
   font=unicode
else
insmod part_msdos
insmod ext2
set root='hd0,msdos3'
if [ x$feature_platform_search_hint = xy ]; then
  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos3 --hint-efi=hd0,msdos3 --hint-baremetal=ahci0,msdos3 --hint='hd0,msdos3'  f9ac475b-cba6-454e-80f7-e0df39d8d69b
else
  search --no-floppy --fs-uuid --set=root f9ac475b-cba6-454e-80f7-e0df39d8d69b
fi
    font="/usr/share/grub/unicode.pf2"
fi

if loadfont $font ; then
  set gfxmode=auto
  load_video
  insmod gfxterm
  set locale_dir=$prefix/locale
  set lang=en_AU
  insmod gettext
fi
terminal_output gfxterm
set timeout=5
### END /etc/grub.d/00_header ###

### BEGIN /etc/grub.d/10_linux ###
menuentry 'Fedora (3.10.7-200.fc19.i686.PAE) 19 (Schrödinger’s Cat)' --class fedora --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-simple-f9ac475b-cba6-454e-80f7-e0df39d8d69b' {
        set gfxpayload=text
        insmod gzio
        insmod part_msdos
        insmod ext2
        set root='hd0,msdos1'
        if [ x$feature_platform_search_hint = xy ]; then
          search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd0,msdos1'  0df77a48-248e-4df0-b956-ee76ad443d41
        else
          search --no-floppy --fs-uuid --set=root 0df77a48-248e-4df0-b956-ee76ad443d41
        fi
        linux   /vmlinuz-3.10.7-200.fc19.i686.PAE root=UUID=f9ac475b-cba6-454e-80f7-e0df39d8d69b ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True  KEYTABLE=us rd.luks=0 LANG=en_AU.UTF-8  nouveau.modeset=0 rd.driver.blacklist=nouveau video=vesa:off
        initrd /initramfs-3.10.7-200.fc19.i686.PAE.img
}
menuentry 'Fedora (3.10.6-200.fc19.i686.PAE) 19 (Schrödinger’s Cat)' --class fedora --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-simple-f9ac475b-cba6-454e-80f7-e0df39d8d69b' {
        set gfxpayload=text
        insmod gzio
        insmod part_msdos
        insmod ext2
        set root='hd0,msdos1'
        if [ x$feature_platform_search_hint = xy ]; then
          search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd0,msdos1'  0df77a48-248e-4df0-b956-ee76ad443d41
        else
          search --no-floppy --fs-uuid --set=root 0df77a48-248e-4df0-b956-ee76ad443d41
        fi
        linux   /vmlinuz-3.10.6-200.fc19.i686.PAE root=UUID=f9ac475b-cba6-454e-80f7-e0df39d8d69b ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True  KEYTABLE=us rd.luks=0 LANG=en_AU.UTF-8  nouveau.modeset=0 rd.driver.blacklist=nouveau video=vesa:off
        initrd /initramfs-3.10.6-200.fc19.i686.PAE.img
}
menuentry 'Fedora (3.10.5-201.fc19.i686.PAE) 19 (Schrödinger’s Cat)' --class fedora --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-simple-f9ac475b-cba6-454e-80f7-e0df39d8d69b' {
        set gfxpayload=text
        insmod gzio
        insmod part_msdos
        insmod ext2
        set root='hd0,msdos1'
        if [ x$feature_platform_search_hint = xy ]; then
          search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd0,msdos1'  0df77a48-248e-4df0-b956-ee76ad443d41
        else
          search --no-floppy --fs-uuid --set=root 0df77a48-248e-4df0-b956-ee76ad443d41
        fi
        linux   /vmlinuz-3.10.5-201.fc19.i686.PAE root=UUID=f9ac475b-cba6-454e-80f7-e0df39d8d69b ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True  KEYTABLE=us rd.luks=0 LANG=en_AU.UTF-8  nouveau.modeset=0 rd.driver.blacklist=nouveau video=vesa:off
        initrd /initramfs-3.10.5-201.fc19.i686.PAE.img
}
menuentry 'Fedora (3.10.4-300.fc19.i686.PAE) 19 (Schrödinger’s Cat)' --class fedora --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-simple-f9ac475b-cba6-454e-80f7-e0df39d8d69b' {
        set gfxpayload=text
        insmod gzio
        insmod part_msdos
        insmod ext2
        set root='hd0,msdos1'
        if [ x$feature_platform_search_hint = xy ]; then
          search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd0,msdos1'  0df77a48-248e-4df0-b956-ee76ad443d41
        else
          search --no-floppy --fs-uuid --set=root 0df77a48-248e-4df0-b956-ee76ad443d41
        fi
        linux   /vmlinuz-3.10.4-300.fc19.i686.PAE root=UUID=f9ac475b-cba6-454e-80f7-e0df39d8d69b ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True  KEYTABLE=us rd.luks=0 LANG=en_AU.UTF-8  nouveau.modeset=0 rd.driver.blacklist=nouveau video=vesa:off
        initrd /initramfs-3.10.4-300.fc19.i686.PAE.img
}
menuentry 'Fedora' --class fedora --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-simple-f9ac475b-cba6-454e-80f7-e0df39d8d69b' {
        set gfxpayload=text
        insmod gzio
        insmod part_msdos
        insmod ext2
        set root='hd0,msdos1'
        if [ x$feature_platform_search_hint = xy ]; then
          search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd0,msdos1'  0df77a48-248e-4df0-b956-ee76ad443d41
        else
          search --no-floppy --fs-uuid --set=root 0df77a48-248e-4df0-b956-ee76ad443d41
        fi
        linux   /vmlinuz-3.10.3-300.fc19.i686.PAE root=UUID=f9ac475b-cba6-454e-80f7-e0df39d8d69b ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True  KEYTABLE=us rd.luks=0 LANG=en_US.UTF-8  nouveau.modeset=0 rd.driver.blacklist=nouveau video=vesa:off
        initrd  /initramfs-3.10.3-300.fc19.i686.PAE.img
}
submenu 'Advanced options for Fedora' $menuentry_id_option 'gnulinux-advanced-f9ac475b-cba6-454e-80f7-e0df39d8d69b' {
        menuentry 'Fedora, with Linux 3.10.3-300.fc19.i686.PAE' --class fedora --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-3.10.3-300.fc19.i686.PAE-advanced-f9ac475b-cba6-454e-80f7-e0df39d8d69b' {
                set gfxpayload=text
                insmod gzio
                insmod part_msdos
                insmod ext2
                set root='hd0,msdos1'
                if [ x$feature_platform_search_hint = xy ]; then
                  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd0,msdos1'  0df77a48-248e-4df0-b956-ee76ad443d41
                else
                  search --no-floppy --fs-uuid --set=root 0df77a48-248e-4df0-b956-ee76ad443d41
                fi
                linux   /vmlinuz-3.10.3-300.fc19.i686.PAE root=UUID=f9ac475b-cba6-454e-80f7-e0df39d8d69b ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True  KEYTABLE=us rd.luks=0 LANG=en_US.UTF-8  nouveau.modeset=0 rd.driver.blacklist=nouveau video=vesa:off
                initrd  /initramfs-3.10.3-300.fc19.i686.PAE.img
        }
        menuentry 'Fedora, with Linux 3.10.3-300.fc19.i686.PAE (recovery mode)' --class fedora --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-3.10.3-300.fc19.i686.PAE-recovery-f9ac475b-cba6-454e-80f7-e0df39d8d69b' {
                set gfxpayload=text
                insmod gzio
                insmod part_msdos
                insmod ext2
                set root='hd0,msdos1'
                if [ x$feature_platform_search_hint = xy ]; then
                  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd0,msdos1'  0df77a48-248e-4df0-b956-ee76ad443d41
                else
                  search --no-floppy --fs-uuid --set=root 0df77a48-248e-4df0-b956-ee76ad443d41
                fi
                linux   /vmlinuz-3.10.3-300.fc19.i686.PAE root=UUID=f9ac475b-cba6-454e-80f7-e0df39d8d69b ro single rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True  KEYTABLE=us rd.luks=0 LANG=en_US.UTF-8 nouveau.modeset=0 rd.driver.blacklist=nouveau video=vesa:off
                initrd  /initramfs-3.10.3-300.fc19.i686.PAE.img
        }
        menuentry 'Fedora, with Linux 3.9.9-201.fc18.i686.PAE' --class fedora --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-3.9.9-201.fc18.i686.PAE-advanced-f9ac475b-cba6-454e-80f7-e0df39d8d69b' {
                set gfxpayload=text
                insmod gzio
                insmod part_msdos
                insmod ext2
                set root='hd0,msdos1'
                if [ x$feature_platform_search_hint = xy ]; then
                  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd0,msdos1'  0df77a48-248e-4df0-b956-ee76ad443d41
                else
                  search --no-floppy --fs-uuid --set=root 0df77a48-248e-4df0-b956-ee76ad443d41
                fi
                linux   /vmlinuz-3.9.9-201.fc18.i686.PAE root=UUID=f9ac475b-cba6-454e-80f7-e0df39d8d69b ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True  KEYTABLE=us rd.luks=0 LANG=en_US.UTF-8
                initrd  /initramfs-3.9.9-201.fc18.i686.PAE.img
        }
        menuentry 'Fedora, with Linux 3.9.9-201.fc18.i686.PAE (recovery mode)' --class fedora --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-3.9.9-201.fc18.i686.PAE-recovery-f9ac475b-cba6-454e-80f7-e0df39d8d69b' {
                set gfxpayload=text
                insmod gzio
                insmod part_msdos
                insmod ext2
                set root='hd0,msdos1'
                if [ x$feature_platform_search_hint = xy ]; then
                  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd0,msdos1'  0df77a48-248e-4df0-b956-ee76ad443d41
                else
                  search --no-floppy --fs-uuid --set=root 0df77a48-248e-4df0-b956-ee76ad443d41
                fi
                linux   /vmlinuz-3.9.9-201.fc18.i686.PAE root=UUID=f9ac475b-cba6-454e-80f7-e0df39d8d69b ro single rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True  KEYTABLE=us rd.luks=0 LANG=en_US.UTF-8
                initrd  /initramfs-3.9.9-201.fc18.i686.PAE.img
        }
        menuentry 'Fedora, with Linux 3.9.6-200.fc18.i686.PAE' --class fedora --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-3.9.6-200.fc18.i686.PAE-advanced-f9ac475b-cba6-454e-80f7-e0df39d8d69b' {
                set gfxpayload=text
                insmod gzio
                insmod part_msdos
                insmod ext2
                set root='hd0,msdos1'
                if [ x$feature_platform_search_hint = xy ]; then
                  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd0,msdos1'  0df77a48-248e-4df0-b956-ee76ad443d41
                else
                  search --no-floppy --fs-uuid --set=root 0df77a48-248e-4df0-b956-ee76ad443d41
                fi
                linux   /vmlinuz-3.9.6-200.fc18.i686.PAE root=UUID=f9ac475b-cba6-454e-80f7-e0df39d8d69b ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True  KEYTABLE=us rd.luks=0 LANG=en_US.UTF-8
                initrd  /initramfs-3.9.6-200.fc18.i686.PAE.img
        }
        menuentry 'Fedora, with Linux 3.9.6-200.fc18.i686.PAE (recovery mode)' --class fedora --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-3.9.6-200.fc18.i686.PAE-recovery-f9ac475b-cba6-454e-80f7-e0df39d8d69b' {
                set gfxpayload=text
                insmod gzio
                insmod part_msdos
                insmod ext2
                set root='hd0,msdos1'
                if [ x$feature_platform_search_hint = xy ]; then
                  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd0,msdos1'  0df77a48-248e-4df0-b956-ee76ad443d41
                else
                  search --no-floppy --fs-uuid --set=root 0df77a48-248e-4df0-b956-ee76ad443d41
                fi
                linux   /vmlinuz-3.9.6-200.fc18.i686.PAE root=UUID=f9ac475b-cba6-454e-80f7-e0df39d8d69b ro single rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True  KEYTABLE=us rd.luks=0 LANG=en_US.UTF-8
                initrd  /initramfs-3.9.6-200.fc18.i686.PAE.img
        }
        menuentry 'Fedora, with Linux 3.9.5-201.fc18.i686.PAE' --class fedora --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-3.9.5-201.fc18.i686.PAE-advanced-f9ac475b-cba6-454e-80f7-e0df39d8d69b' {
                set gfxpayload=text
                insmod gzio
                insmod part_msdos
                insmod ext2
                set root='hd0,msdos1'
                if [ x$feature_platform_search_hint = xy ]; then
                  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd0,msdos1'  0df77a48-248e-4df0-b956-ee76ad443d41
                else
                  search --no-floppy --fs-uuid --set=root 0df77a48-248e-4df0-b956-ee76ad443d41
                fi
                linux   /vmlinuz-3.9.5-201.fc18.i686.PAE root=UUID=f9ac475b-cba6-454e-80f7-e0df39d8d69b ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True  KEYTABLE=us rd.luks=0 LANG=en_US.UTF-8
                initrd  /initramfs-3.9.5-201.fc18.i686.PAE.img
        }
        menuentry 'Fedora, with Linux 3.9.5-201.fc18.i686.PAE (recovery mode)' --class fedora --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-3.9.5-201.fc18.i686.PAE-recovery-f9ac475b-cba6-454e-80f7-e0df39d8d69b' {
                set gfxpayload=text
                insmod gzio
                insmod part_msdos
                insmod ext2
                set root='hd0,msdos1'
                if [ x$feature_platform_search_hint = xy ]; then
                  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd0,msdos1'  0df77a48-248e-4df0-b956-ee76ad443d41
                else
                  search --no-floppy --fs-uuid --set=root 0df77a48-248e-4df0-b956-ee76ad443d41
                fi
                linux   /vmlinuz-3.9.5-201.fc18.i686.PAE root=UUID=f9ac475b-cba6-454e-80f7-e0df39d8d69b ro single rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True  KEYTABLE=us rd.luks=0 LANG=en_US.UTF-8
                initrd  /initramfs-3.9.5-201.fc18.i686.PAE.img
        }
        menuentry 'Fedora, with Linux 3.9.4-200.fc18.i686.PAE' --class fedora --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-3.9.4-200.fc18.i686.PAE-advanced-f9ac475b-cba6-454e-80f7-e0df39d8d69b' {
                set gfxpayload=text
                insmod gzio
                insmod part_msdos
                insmod ext2
                set root='hd0,msdos1'
                if [ x$feature_platform_search_hint = xy ]; then
                  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd0,msdos1'  0df77a48-248e-4df0-b956-ee76ad443d41
                else
                  search --no-floppy --fs-uuid --set=root 0df77a48-248e-4df0-b956-ee76ad443d41
                fi
                linux   /vmlinuz-3.9.4-200.fc18.i686.PAE root=UUID=f9ac475b-cba6-454e-80f7-e0df39d8d69b ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True  KEYTABLE=us rd.luks=0 LANG=en_US.UTF-8
                initrd  /initramfs-3.9.4-200.fc18.i686.PAE.img
        }
        menuentry 'Fedora, with Linux 3.9.4-200.fc18.i686.PAE (recovery mode)' --class fedora --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-3.9.4-200.fc18.i686.PAE-recovery-f9ac475b-cba6-454e-80f7-e0df39d8d69b' {
                set gfxpayload=text
                insmod gzio
                insmod part_msdos
                insmod ext2
                set root='hd0,msdos1'
                if [ x$feature_platform_search_hint = xy ]; then
                  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd0,msdos1'  0df77a48-248e-4df0-b956-ee76ad443d41
                else
                  search --no-floppy --fs-uuid --set=root 0df77a48-248e-4df0-b956-ee76ad443d41
                fi
                linux   /vmlinuz-3.9.4-200.fc18.i686.PAE root=UUID=f9ac475b-cba6-454e-80f7-e0df39d8d69b ro single rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True  KEYTABLE=us rd.luks=0 LANG=en_US.UTF-8
                initrd  /initramfs-3.9.4-200.fc18.i686.PAE.img
        }
        menuentry 'Fedora, with Linux 0-rescue-0e40bb06a3352f0c6ccc11ee00000011' --class fedora --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-0-rescue-0e40bb06a3352f0c6ccc11ee00000011-advanced-f9ac475b-cba6-454e-80f7-e0df39d8d69b' {
                set gfxpayload=text
                insmod gzio
                insmod part_msdos
                insmod ext2
                set root='hd0,msdos1'
                if [ x$feature_platform_search_hint = xy ]; then
                  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd0,msdos1'  0df77a48-248e-4df0-b956-ee76ad443d41
                else
                  search --no-floppy --fs-uuid --set=root 0df77a48-248e-4df0-b956-ee76ad443d41
                fi
                linux   /vmlinuz-0-rescue-0e40bb06a3352f0c6ccc11ee00000011 root=UUID=f9ac475b-cba6-454e-80f7-e0df39d8d69b ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True  KEYTABLE=us rd.luks=0 LANG=en_US.UTF-8
                initrd  /initramfs-0-rescue-0e40bb06a3352f0c6ccc11ee00000011.img
        }
        menuentry 'Fedora, with Linux 0-rescue-0e40bb06a3352f0c6ccc11ee00000011 (recovery mode)' --class fedora --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-0-rescue-0e40bb06a3352f0c6ccc11ee00000011-recovery-f9ac475b-cba6-454e-80f7-e0df39d8d69b' {
                set gfxpayload=text
                insmod gzio
                insmod part_msdos
                insmod ext2
                set root='hd0,msdos1'
                if [ x$feature_platform_search_hint = xy ]; then
                  search --no-floppy --fs-uuid --set=root --hint-bios=hd0,msdos1 --hint-efi=hd0,msdos1 --hint-baremetal=ahci0,msdos1 --hint='hd0,msdos1'  0df77a48-248e-4df0-b956-ee76ad443d41
                else
                  search --no-floppy --fs-uuid --set=root 0df77a48-248e-4df0-b956-ee76ad443d41
                fi
                linux   /vmlinuz-0-rescue-0e40bb06a3352f0c6ccc11ee00000011 root=UUID=f9ac475b-cba6-454e-80f7-e0df39d8d69b ro single rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True  KEYTABLE=us rd.luks=0 LANG=en_US.UTF-8
                initrd  /initramfs-0-rescue-0e40bb06a3352f0c6ccc11ee00000011.img
        }
}

### END /etc/grub.d/10_linux ###

### BEGIN /etc/grub.d/20_linux_xen ###

### END /etc/grub.d/20_linux_xen ###

### BEGIN /etc/grub.d/20_ppc_terminfo ###
### END /etc/grub.d/20_ppc_terminfo ###

### BEGIN /etc/grub.d/30_os-prober ###
### END /etc/grub.d/30_os-prober ###

### BEGIN /etc/grub.d/40_custom ###
# This file provides an easy way to add custom menu entries.  Simply type the
# menu entries you want to add after this comment.  Be careful not to change
# the 'exec tail' line above.
### END /etc/grub.d/40_custom ###

### BEGIN /etc/grub.d/41_custom ###
if [ -f  ${config_directory}/custom.cfg ]; then
  source ${config_directory}/custom.cfg
elif [ -z "${config_directory}" -a -f  $prefix/custom.cfg ]; then
  source $prefix/custom.cfg;
fi
### END /etc/grub.d/41_custom ###
Comment 4 Mads Kiilerich 2013-08-31 10:26:42 EDT
Please clarify what the problem is.

The summary says "corrupt", the description says "boot menu does not list installed kernels". The grub.cfg file do not seem corrupt and it do seem to list installed kernels.
Comment 5 Fedora End Of Life 2013-12-21 09:00:37 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 16:49:28 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.